Bug 866791 - jboss-wfk-arquillian BOM has got groupId different from other WFK provided BOMs and is placed in wrong location
jboss-wfk-arquillian BOM has got groupId different from other WFK provided BO...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Arquillian, Maven (Show other bugs)
2.1.0
Unspecified Unspecified
high Severity high
: CR1
: 2.1.0
Assigned To: Marek Novotny
Karel Piwko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 03:21 EDT by Marek Novotny
Modified: 2012-11-30 10:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-30 10:34:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Novotny 2012-10-16 03:21:45 EDT
org.jboss.bom:jboss-wfk-arquillian should be renamed to com.redhat.jboss.wfk.boms:jboss-wfk-arquillian to correspond with other WFK BOMs groupId.
Comment 1 Karel Piwko 2012-10-16 04:25:18 EDT
Well, if we are doing a full groupId change, the question is if we need to keep jboss-wfk-arquillian at all. It can be merged into com.redhat.jboss.wfk:*-with-tools directly.
Comment 2 Marek Novotny 2012-10-16 04:39:10 EDT
It depends on you, Karel. You are the author of jboss-wfk-arquillian and I recall only that it was split on purpose from that *-with-tools BOM. 

So I am fine with both solutions. Decide what you want more.
Comment 3 Karel Piwko 2012-10-16 07:50:49 EDT
What would make the productization simpler? Would we keep jboss-wfk-arquillian in EAP -with-tools version?
Comment 4 Marek Novotny 2012-10-16 08:14:33 EDT
I chatted with Karel and agreed on all WFK BOMs should have the same groupId.
Comment 5 Karel Piwko 2012-10-16 09:31:02 EDT
jboss-arquillian-bom should have same groupId as *-with* BOMs. This change would move it to the correct location, as currently it is placed in a wrong directory in Maven repository.
Comment 6 Marek Novotny 2012-10-19 05:54:59 EDT
Karel, do we need jboss-wfk-arquillian at all if we have our own WFK jboss-javaee-6.0-with-tools?

I recall you said something similar on IRC.
Comment 7 Karel Piwko 2012-10-19 07:12:58 EDT
Marek, we can make our own javaee-6.0-with-tools and move the content of jboss-wfk-arquillian there. So the file itself is not needed.
Comment 8 Marek Novotny 2012-10-19 08:23:47 EDT
I merged jboss-wfk-arquillian with javaee-6.0-with-tools and the result is at http://git.app.eng.bos.redhat.com/?p=jboss/jboss-bom.git;a=blob_plain;f=jboss-javaee-6.0-with-tools/pom.xml;hb=1399b369ce5dffd172c4d2daf73acdee8daf8f13

Karel, review it, whether the content is correct.
Comment 9 Karel Piwko 2012-10-19 09:06:36 EDT
Marek, the merge seems ok. Do you want me to file another bz for component updates (e.g. adding tomcat7, a few version bumps?) or should I paste it here?
Comment 10 Marek Novotny 2012-10-19 09:08:48 EDT
I would not mix other customization of that BOM into this issue, the main reason is this issue probably not required RN, but your proposed customization will require it.
Comment 12 Karel Piwko 2012-11-07 03:34:18 EST
Verified in CR1, the file was removed.
Comment 13 Karel Piwko 2012-11-30 10:34:38 EST
Distributed as a part of WFK 2.1.0.GA release.

Note You need to log in before you can comment on or make changes to this bug.